Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.context
Class ExternalContextWrapper

    java.lang.Object
      javax.faces.context.ExternalContext
          javax.faces.context.ExternalContextWrapper

All Implemented Interfaces:
  FacesWrapper<ExternalContext>

    public abstract class ExternalContextWrapper

extends ExternalContext
implements FacesWrapper<ExternalContext>

Provides a simple implementation of `ExternalContext` that can be subclassed by developers wishing to provide specialized behavior to an existing `ExternalContext` instance. The default implementation of all methods is to call through to the wrapped `ExternalContext` instance.

Usage: extend this class and override `getWrapped()` to return the instance being wrapping.

Since:
  2.0

Field Summary

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`ExternalContextWrapper()`

Method Summary
`void` | `addResponseCookie(java.lang.String name, java.lang.String value, java.util.Map<java.lang.String,java.lang.Object> properties)` The default behavior of this method is to call `ExternalContext.addResponseCookie(String, String, Map)` on the wrapped `ExternalContext` object.
`void` | `addResponseHeader(java.lang.String name, java.lang.String value)` The default behavior of this method is to call `ExternalContext.addResponseHeader(String,String)` on the wrapped `ExternalContext` object.
`void` | `dispatch(java.lang.String path)` The default behavior of this method is to call `ExternalContext.dispatch(String)` on the wrapped `ExternalContext` object.
`java.lang.String` | `encodeActionURL(java.lang.String url)` The default behavior of this method is to call `ExternalContext.encodeActionURL(String)` on the wrapped `ExternalContext` object.
`java.lang.String` | `encodeBookmarkableURL(java.lang.String baseUrl, java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters)` The default behavior of this method is to call `ExternalContext.encodeBookmarkableURL(String, java.util.Map)` on the wrapped `ExternalContext` object.
`java.lang.String` | `encodeNamespace(java.lang.String name)` The default behavior of this method is to call `ExternalContext.encodeNamespace(String)` on the wrapped `ExternalContext` object.
`java.lang.String` | `encodePartialActionURL(java.lang.String url)` Return the input URL, after performing any rewriting needed to ensure that it can be used in a partial page submission (ajax request) to correctly identify an addressable action in the current application.
`java.lang.String` | `encodeRedirectURL(java.lang.String baseUrl, java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters)` The default behavior of this method is to call `ExternalContext.encodeRedirectURL(String, java.util.Map)` on the wrapped `ExternalContext` object.
`java.lang.String` | `encodeResourceURL(java.lang.String url)` The default behavior of this method is to call `ExternalContext.encodeResourceURL(String)` on the wrapped `ExternalContext` object.
`java.util.Map<java.lang.String,java.lang.Object>` | `getApplicationMap()` The default behavior of this method is to call `ExternalContext.getApplicationMap()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getAuthType()` The default behavior of this method is to call `ExternalContext.getAuthType()` on the wrapped `ExternalContext` object.
`java.lang.Object` | `getContext()` The default behavior of this method is to call `ExternalContext.getContext()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getContextName()` The default behavior of this method is to call `ExternalContext.getContextName()` on the wrapped `ExternalContext` object.
`Flash` | `getFlash()` The default behavior of this method is to call `ExternalContext.getFlash()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getInitParameter(java.lang.String name)` The default behavior of this method is to call `ExternalContext.getInitParameter(String)` on the wrapped `ExternalContext` object.
`java.util.Map` | `getInitParameterMap()` The default behavior of this method is to call `ExternalContext.getInitParameterMap()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getMimeType(java.lang.String file)` The default behavior of this method is to call `ExternalContext.getMimeType(String)` on the wrapped `ExternalContext` object.
`java.lang.String` | `getRealPath(java.lang.String path)` The default behavior of this method is to call `ExternalContext.getRealPath(String)` on the wrapped `ExternalContext` object.
`java.lang.String` | `getRemoteUser()` The default behavior of this method is to call `ExternalContext.getRemoteUser()` on the wrapped `ExternalContext` object.
`java.lang.Object` | `getRequest()` The default behavior of this method is to call `ExternalContext.getRequest()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getRequestCharacterEncoding()` The default behavior of this method is to call `ExternalContext.getRequestCharacterEncoding()` on the wrapped `ExternalContext` object.
`int` | `getRequestContentLength()` The default behavior of this method is to call `ExternalContext.getRequestContentLength()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getRequestContentType()` The default behavior of this method is to call `ExternalContext.getRequestContentType()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getRequestContextPath()` The default behavior of this method is to call `ExternalContext.getRequestContextPath()` on the wrapped `ExternalContext` object.
`java.util.Map<java.lang.String,java.lang.Object>` | `getRequestCookieMap()` The default behavior of this method is to call `ExternalContext.getRequestCookieMap()` on the wrapped `ExternalContext` object.
`java.util.Map<java.lang.String,java.lang.String>` | `getRequestHeaderMap()` The default behavior of this method is to call `ExternalContext.getRequestHeaderMap()` on the wrapped `ExternalContext` object.
`java.util.Map<java.lang.String,java.lang.String[]>` | `getRequestHeaderValuesMap()` The default behavior of this method is to call `ExternalContext.getRequestHeaderValuesMap()` on the wrapped `ExternalContext` object.
`java.util.Locale` | `getRequestLocale()` The default behavior of this method is to call `ExternalContext.getRequestLocale()` on the wrapped `ExternalContext` object.
`java.util.Iterator<java.util.Locale>` | `getRequestLocales()` The default behavior of this method is to call `ExternalContext.getRequestLocales()` on the wrapped `ExternalContext` object.
`java.util.Map<java.lang.String,java.lang.Object>` | `getRequestMap()` The default behavior of this method is to call `ExternalContext.getRequestMap()` on the wrapped `ExternalContext` object.
`java.util.Map<java.lang.String,java.lang.String>` | `getRequestParameterMap()` The default behavior of this method is to call `ExternalContext.getRequestParameterMap()` on the wrapped `ExternalContext` object.
`java.util.Iterator<java.lang.String>` | `getRequestParameterNames()` The default behavior of this method is to call `ExternalContext.getRequestParameterNames()` on the wrapped `ExternalContext` object.
`java.util.Map<java.lang.String,java.lang.String[]>` | `getRequestParameterValuesMap()` The default behavior of this method is to call `ExternalContext.getRequestParameterValuesMap()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getRequestPathInfo()` The default behavior of this method is to call `ExternalContext.getRequestPathInfo()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getRequestScheme()` The default behavior of this method is to call `ExternalContext.getRequestScheme()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getRequestServerName()` The default behavior of this method is to call `ExternalContext.getRequestServerName()` on the wrapped `ExternalContext` object.
`int` | `getRequestServerPort()` The default behavior of this method is to call `ExternalContext.getRequestServerPort()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getRequestServletPath()` The default behavior of this method is to call `ExternalContext.getRequestServletPath()` on the wrapped `ExternalContext` object.
`java.net.URL` | `getResource(java.lang.String path)` The default behavior of this method is to call `ExternalContext.getResource(String)` on the wrapped `ExternalContext` object.
`java.io.InputStream` | `getResourceAsStream(java.lang.String path)` The default behavior of this method is to call `ExternalContext.getResourceAsStream(String)` on the wrapped `ExternalContext` object.
`java.util.Set<java.lang.String>` | `getResourcePaths(java.lang.String path)` The default behavior of this method is to call `ExternalContext.getResourcePaths(String)` on the wrapped `ExternalContext` object.
`java.lang.Object` | `getResponse()` The default behavior of this method is to call `ExternalContext.getResponse()` on the wrapped `ExternalContext` object.
`int` | `getResponseBufferSize()` The default behavior of this method is to call `ExternalContext.getResponseBufferSize()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getResponseCharacterEncoding()` The default behavior of this method is to call `ExternalContext.getResponseCharacterEncoding()` on the wrapped `ExternalContext` object.
`java.lang.String` | `getResponseContentType()` The default behavior of this method is to call `ExternalContext.getResponseContentType()` on the wrapped `ExternalContext` object.
`java.io.OutputStream` | `getResponseOutputStream()` The default behavior of this method is to call `ExternalContext.getResponseOutputStream()` on the wrapped `ExternalContext` object.
`java.io.Writer` | `getResponseOutputWriter()` The default behavior of this method is to call `ExternalContext.getResponseOutputWriter()` on the wrapped `ExternalContext` object.
`java.lang.Object` | `getSession(boolean create)` The default behavior of this method is to call `ExternalContext.getSession(boolean)` on the wrapped `ExternalContext` object.
`java.util.Map<java.lang.String,java.lang.Object>` | `getSessionMap()` The default behavior of this method is to call `ExternalContext.getAuthType()` on the wrapped `ExternalContext` object.
`java.security.Principal` | `getUserPrincipal()` The default behavior of this method is to call `ExternalContext.getUserPrincipal()` on the wrapped `ExternalContext` object.
`abstract ExternalContext` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.
`void` | `invalidateSession()` The default behavior of this method is to call `ExternalContext.invalidateSession()` on the wrapped `ExternalContext` object.
`boolean` | `isResponseCommitted()` The default behavior of this method is to call `ExternalContext.isResponseCommitted()` on the wrapped `ExternalContext` object.
`boolean` | `isUserInRole(java.lang.String role)` The default behavior of this method is to call `ExternalContext.isUserInRole(String)` on the wrapped `ExternalContext` object.
`void` | `log(java.lang.String message)` The default behavior of this method is to call `ExternalContext.log(String)` on the wrapped `ExternalContext` object.
`void` | `log(java.lang.String message, java.lang.Throwable exception)` The default behavior of this method is to call `ExternalContext.log(String, Throwable)` on the wrapped `ExternalContext` object.
`void` | `redirect(java.lang.String url)` The default behavior of this method is to call `ExternalContext.redirect(String)` on the wrapped `ExternalContext` object.
`void` | `responseFlushBuffer()` The default behavior of this method is to call `ExternalContext.responseFlushBuffer()` on the wrapped `ExternalContext` object.
`void` | `responseReset()` The default behavior of this method is to call `ExternalContext.responseReset()` on the wrapped `ExternalContext` object.
`void` | `responseSendError(int statusCode, java.lang.String message)` The default behavior of this method is to call `ExternalContext.responseSendError(int,String)` on the wrapped `ExternalContext` object.
`void` | `setRequest(java.lang.Object request)` The default behavior of this method is to call `ExternalContext.setRequest(Object)` on the wrapped `ExternalContext` object.
`void` | `setRequestCharacterEncoding(java.lang.String encoding)` The default behavior of this method is to call `ExternalContext.setRequestCharacterEncoding(String)` on the wrapped `ExternalContext` object.
`void` | `setResponse(java.lang.Object response)` The default behavior of this method is to call `ExternalContext.setResponse(Object)` on the wrapped `ExternalContext` object.
`void` | `setResponseBufferSize(int size)` The default behavior of this method is to call `ExternalContext.setResponseBufferSize(int)` on the wrapped `ExternalContext` object.
`void` | `setResponseCharacterEncoding(java.lang.String encoding)` The default behavior of this method is to call `ExternalContext.getResponseCharacterEncoding()` on the wrapped `ExternalContext` object.
`void` | `setResponseContentLength(int length)` The default behavior of this method is to call `ExternalContext.setResponseContentLength(int)` on the wrapped `ExternalContext` object.
`void` | `setResponseContentType(java.lang.String contentType)` The default behavior of this method is to call `ExternalContext.setResponseContentType(String)` on the wrapped `ExternalContext` object.
`void` | `setResponseHeader(java.lang.String name, java.lang.String value)` The default behavior of this method is to call `ExternalContext.setResponseHeader(String,String)` on the wrapped `ExternalContext` object.
`void` | `setResponseStatus(int statusCode)` The default behavior of this method is to call `ExternalContext.setResponseStatus(int)` on the wrapped `ExternalContext` object.

Methods inherited from class javax.faces.context.ExternalContext
`getSessionMaxInactiveInterval, isSecure, setSessionMaxInactiveInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalContextWrapper

    public ExternalContextWrapper()

Method Detail

### getWrapped

    public abstract ExternalContext getWrapped()

  Description copied from interface: `FacesWrapper`

  A class that implements this interface uses this method to return an instance of the class being wrapped.

  Specified by:
    `getWrapped` in interface `FacesWrapper<ExternalContext>`
  Returns:
    the wrapped `ExternalContext` instance
  See Also:
    `FacesWrapper.getWrapped()`

### dispatch

    public void dispatch(java.lang.String path)
                  throws java.io.IOException

  The default behavior of this method is to call `ExternalContext.dispatch(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `dispatch` in class `ExternalContext`
  Parameters:
    `path` - Context relative path to the specified resource, which must start with a slash ("/") character
  Throws:
    `java.io.IOException` - if an input/output error occurs
  See Also:
    `ExternalContext.dispatch(String)`

### encodeActionURL

    public java.lang.String encodeActionURL(java.lang.String url)

  The default behavior of this method is to call `ExternalContext.encodeActionURL(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `encodeActionURL` in class `ExternalContext`
  Parameters:
    `url` - The input URL to be encoded
  See Also:
    `ExternalContext.encodeActionURL(String)`

### encodeNamespace

    public java.lang.String encodeNamespace(java.lang.String name)

  The default behavior of this method is to call `ExternalContext.encodeNamespace(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `encodeNamespace` in class `ExternalContext`
  Parameters:
    `name` - Name to be encoded
  See Also:
    `ExternalContext.encodeNamespace(String)`

### encodePartialActionURL

    public java.lang.String encodePartialActionURL(java.lang.String url)

  Description copied from class: `ExternalContext`

  Return the input URL, after performing any rewriting needed to ensure that it can be used in a partial page submission (ajax request) to correctly identify an addressable action in the current application.

  Servlet:Returns the same encoded URL as the `ExternalContext.encodeActionURL(String url)` method.

  Portlet:Returns an encoded URL that, upon HTTP POST, will invoke the RESOURCE_PHASE of the portlet lifecycle.

  Overrides:
    `encodePartialActionURL` in class `ExternalContext`
  Parameters:
    `url` - The input URL to be encoded

### encodeResourceURL

    public java.lang.String encodeResourceURL(java.lang.String url)

  The default behavior of this method is to call `ExternalContext.encodeResourceURL(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `encodeResourceURL` in class `ExternalContext`
  Parameters:
    `url` - The input URL to be encoded
  See Also:
    `ExternalContext.encodeResourceURL(String)`

### getApplicationMap

    public java.util.Map<java.lang.String,java.lang.Object> getApplicationMap()

  The default behavior of this method is to call `ExternalContext.getApplicationMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getApplicationMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getApplicationMap()`

### getAuthType

    public java.lang.String getAuthType()

  The default behavior of this method is to call `ExternalContext.getAuthType()` on the wrapped `ExternalContext` object.

  Specified by:
    `getAuthType` in class `ExternalContext`
  See Also:
    `ExternalContext.getAuthType()`

### getContext

    public java.lang.Object getContext()

  The default behavior of this method is to call `ExternalContext.getContext()` on the wrapped `ExternalContext` object.

  Specified by:
    `getContext` in class `ExternalContext`
  See Also:
    `ExternalContext.getContext()`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  The default behavior of this method is to call `ExternalContext.getInitParameter(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `getInitParameter` in class `ExternalContext`
  Parameters:
    `name` - Name of the requested initialization parameter
  See Also:
    `ExternalContext.getInitParameter(String)`

### getInitParameterMap

    public java.util.Map getInitParameterMap()

  The default behavior of this method is to call `ExternalContext.getInitParameterMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getInitParameterMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getInitParameterMap()`

### getRemoteUser

    public java.lang.String getRemoteUser()

  The default behavior of this method is to call `ExternalContext.getRemoteUser()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRemoteUser` in class `ExternalContext`
  See Also:
    `ExternalContext.getRemoteUser()`

### getRequest

    public java.lang.Object getRequest()

  The default behavior of this method is to call `ExternalContext.getRequest()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequest` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequest()`

### getRequestContextPath

    public java.lang.String getRequestContextPath()

  The default behavior of this method is to call `ExternalContext.getRequestContextPath()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestContextPath` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestContextPath()`

### getRequestCookieMap

    public java.util.Map<java.lang.String,java.lang.Object> getRequestCookieMap()

  The default behavior of this method is to call `ExternalContext.getRequestCookieMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestCookieMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestCookieMap()`

### getRequestHeaderMap

    public java.util.Map<java.lang.String,java.lang.String> getRequestHeaderMap()

  The default behavior of this method is to call `ExternalContext.getRequestHeaderMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestHeaderMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestHeaderMap()`

### getRequestHeaderValuesMap

    public java.util.Map<java.lang.String,java.lang.String[]> getRequestHeaderValuesMap()

  The default behavior of this method is to call `ExternalContext.getRequestHeaderValuesMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestHeaderValuesMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestHeaderValuesMap()`

### getRequestLocale

    public java.util.Locale getRequestLocale()

  The default behavior of this method is to call `ExternalContext.getRequestLocale()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestLocale` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestLocale()`

### getRequestLocales

    public java.util.Iterator<java.util.Locale> getRequestLocales()

  The default behavior of this method is to call `ExternalContext.getRequestLocales()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestLocales` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestLocales()`

### getRequestMap

    public java.util.Map<java.lang.String,java.lang.Object> getRequestMap()

  The default behavior of this method is to call `ExternalContext.getRequestMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestMap()`

### getRequestParameterMap

    public java.util.Map<java.lang.String,java.lang.String> getRequestParameterMap()

  The default behavior of this method is to call `ExternalContext.getRequestParameterMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestParameterMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestParameterMap()`

### getRequestParameterNames

    public java.util.Iterator<java.lang.String> getRequestParameterNames()

  The default behavior of this method is to call `ExternalContext.getRequestParameterNames()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestParameterNames` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestParameterNames()`

### getRequestParameterValuesMap

    public java.util.Map<java.lang.String,java.lang.String[]> getRequestParameterValuesMap()

  The default behavior of this method is to call `ExternalContext.getRequestParameterValuesMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestParameterValuesMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestParameterValuesMap()`

### getRequestPathInfo

    public java.lang.String getRequestPathInfo()

  The default behavior of this method is to call `ExternalContext.getRequestPathInfo()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestPathInfo` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestPathInfo()`

### getRequestServletPath

    public java.lang.String getRequestServletPath()

  The default behavior of this method is to call `ExternalContext.getRequestServletPath()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestServletPath` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestServletPath()`

### getResource

    public java.net.URL getResource(java.lang.String path)
                             throws java.net.MalformedURLException

  The default behavior of this method is to call `ExternalContext.getResource(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `getResource` in class `ExternalContext`
  Parameters:
    `path` - The path to the requested resource, which must start with a slash ("/" character
  Throws:
    `java.net.MalformedURLException` - if the specified path is not in the correct form
  See Also:
    `ExternalContext.getResource(String)`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String path)

  The default behavior of this method is to call `ExternalContext.getResourceAsStream(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `getResourceAsStream` in class `ExternalContext`
  Parameters:
    `path` - The path to the requested resource, which must start with a slash ("/" character
  See Also:
    `ExternalContext.getResourceAsStream(String)`

### getResourcePaths

    public java.util.Set<java.lang.String> getResourcePaths(java.lang.String path)

  The default behavior of this method is to call `ExternalContext.getResourcePaths(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `getResourcePaths` in class `ExternalContext`
  Parameters:
    `path` - Partial path used to match resources, which must start with a slash ("/") character
  See Also:
    `ExternalContext.getResourcePaths(String)`

### getResponse

    public java.lang.Object getResponse()

  The default behavior of this method is to call `ExternalContext.getResponse()` on the wrapped `ExternalContext` object.

  Specified by:
    `getResponse` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponse()`

### getSession

    public java.lang.Object getSession(boolean create)

  The default behavior of this method is to call `ExternalContext.getSession(boolean)` on the wrapped `ExternalContext` object.

  Specified by:
    `getSession` in class `ExternalContext`
  Parameters:
    `create` - Flag indicating whether or not a new session should be created if there is no session associated with the current request
  See Also:
    `ExternalContext.getSession(boolean)`

### getSessionMap

    public java.util.Map<java.lang.String,java.lang.Object> getSessionMap()

  The default behavior of this method is to call `ExternalContext.getAuthType()` on the wrapped `ExternalContext` object.

  Specified by:
    `getSessionMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getAuthType()`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  The default behavior of this method is to call `ExternalContext.getUserPrincipal()` on the wrapped `ExternalContext` object.

  Specified by:
    `getUserPrincipal` in class `ExternalContext`
  See Also:
    `ExternalContext.getUserPrincipal()`

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  The default behavior of this method is to call `ExternalContext.isUserInRole(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `isUserInRole` in class `ExternalContext`
  Parameters:
    `role` - Logical role name to be checked
  See Also:
    `ExternalContext.isUserInRole(String)`

### log

    public void log(java.lang.String message)

  The default behavior of this method is to call `ExternalContext.log(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `log` in class `ExternalContext`
  Parameters:
    `message` - Message to be logged
  See Also:
    `ExternalContext.log(String)`

### log

    public void log(java.lang.String message,
                    java.lang.Throwable exception)

  The default behavior of this method is to call `ExternalContext.log(String, Throwable)` on the wrapped `ExternalContext` object.

  Specified by:
    `log` in class `ExternalContext`
  Parameters:
    `message` - Message to be logged
    `exception` - Exception to be logged
  See Also:
    `ExternalContext.log(String, Throwable)`

### redirect

    public void redirect(java.lang.String url)
                  throws java.io.IOException

  The default behavior of this method is to call `ExternalContext.redirect(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `redirect` in class `ExternalContext`
  Parameters:
    `url` - Absolute URL to which the client should be redirected
  Throws:
    `java.io.IOException` - if an input/output error occurs
  See Also:
    `ExternalContext.redirect(String)`

### addResponseCookie

    public void addResponseCookie(java.lang.String name,
                                  java.lang.String value,
                                  java.util.Map<java.lang.String,java.lang.Object> properties)

  The default behavior of this method is to call `ExternalContext.addResponseCookie(String, String, Map)` on the wrapped `ExternalContext` object.

  Overrides:
    `addResponseCookie` in class `ExternalContext`
  Parameters:
    `name` - To be passed as the first argument to the `Cookie` constructor.
    `value` - To be passed as the second argument to the `Cookie` constructor.
    `properties` - A `Map` containg key/value pairs to be passed as arguments to the setter methods as described above.
  See Also:
    `ExternalContext.addResponseCookie(String, String, Map)`

### getMimeType

    public java.lang.String getMimeType(java.lang.String file)

  The default behavior of this method is to call `ExternalContext.getMimeType(String)` on the wrapped `ExternalContext` object.

  Overrides:
    `getMimeType` in class `ExternalContext`
  Parameters:
    `file` - The file for which the mime type should be obtained.
  See Also:
    `ExternalContext.getMimeType(String)`

### getContextName

    public java.lang.String getContextName()

  The default behavior of this method is to call `ExternalContext.getContextName()` on the wrapped `ExternalContext` object.

  Overrides:
    `getContextName` in class `ExternalContext`
  See Also:
    `ExternalContext.getContextName()`

### setRequest

    public void setRequest(java.lang.Object request)

  The default behavior of this method is to call `ExternalContext.setRequest(Object)` on the wrapped `ExternalContext` object.

  Overrides:
    `setRequest` in class `ExternalContext`
  See Also:
    `ExternalContext.setRequest(Object)`

### getRequestScheme

    public java.lang.String getRequestScheme()

  The default behavior of this method is to call `ExternalContext.getRequestScheme()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestScheme` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestScheme()`

### getRequestServerName

    public java.lang.String getRequestServerName()

  The default behavior of this method is to call `ExternalContext.getRequestServerName()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestServerName` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestServerName()`

### getRequestServerPort

    public int getRequestServerPort()

  The default behavior of this method is to call `ExternalContext.getRequestServerPort()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestServerPort` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestServerPort()`

### setRequestCharacterEncoding

    public void setRequestCharacterEncoding(java.lang.String encoding)
                                     throws java.io.UnsupportedEncodingException

  The default behavior of this method is to call `ExternalContext.setRequestCharacterEncoding(String)` on the wrapped `ExternalContext` object.

  Overrides:
    `setRequestCharacterEncoding` in class `ExternalContext`
  Throws:
    `java.io.UnsupportedEncodingException` - if this is not a valid encoding
  See Also:
    `ExternalContext.setRequestCharacterEncoding(String)`

### getRealPath

    public java.lang.String getRealPath(java.lang.String path)

  The default behavior of this method is to call `ExternalContext.getRealPath(String)` on the wrapped `ExternalContext` object.

  Overrides:
    `getRealPath` in class `ExternalContext`
  Parameters:
    `path` - The context of the requested initialization parameter
  See Also:
    `ExternalContext.getRealPath(String)`

### getRequestCharacterEncoding

    public java.lang.String getRequestCharacterEncoding()

  The default behavior of this method is to call `ExternalContext.getRequestCharacterEncoding()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestCharacterEncoding` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestCharacterEncoding()`

### getRequestContentType

    public java.lang.String getRequestContentType()

  The default behavior of this method is to call `ExternalContext.getRequestContentType()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestContentType` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestContentType()`

### getRequestContentLength

    public int getRequestContentLength()

  The default behavior of this method is to call `ExternalContext.getRequestContentLength()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestContentLength` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestContentLength()`

### getResponseCharacterEncoding

    public java.lang.String getResponseCharacterEncoding()

  The default behavior of this method is to call `ExternalContext.getResponseCharacterEncoding()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseCharacterEncoding` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponseCharacterEncoding()`

### getResponseContentType

    public java.lang.String getResponseContentType()

  The default behavior of this method is to call `ExternalContext.getResponseContentType()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseContentType` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponseContentType()`

### setResponse

    public void setResponse(java.lang.Object response)

  The default behavior of this method is to call `ExternalContext.setResponse(Object)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponse` in class `ExternalContext`
  See Also:
    `ExternalContext.setResponse(Object)`

### getResponseOutputStream

    public java.io.OutputStream getResponseOutputStream()
                                                 throws java.io.IOException

  The default behavior of this method is to call `ExternalContext.getResponseOutputStream()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseOutputStream` in class `ExternalContext`
  Throws:
    `java.io.IOException`
  See Also:
    `ExternalContext.getResponseOutputStream()`

### getResponseOutputWriter

    public java.io.Writer getResponseOutputWriter()
                                           throws java.io.IOException

  The default behavior of this method is to call `ExternalContext.getResponseOutputWriter()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseOutputWriter` in class `ExternalContext`
  Throws:
    `java.io.IOException`
  See Also:
    `ExternalContext.getResponseOutputWriter()`

### setResponseCharacterEncoding

    public void setResponseCharacterEncoding(java.lang.String encoding)

  The default behavior of this method is to call `ExternalContext.getResponseCharacterEncoding()` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseCharacterEncoding` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponseCharacterEncoding()`

### setResponseContentType

    public void setResponseContentType(java.lang.String contentType)

  The default behavior of this method is to call `ExternalContext.setResponseContentType(String)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseContentType` in class `ExternalContext`
  Parameters:
    `contentType` - The content type to be set as the contentType of the response.
  See Also:
    `ExternalContext.setResponseContentType(String)`

### invalidateSession

    public void invalidateSession()

  The default behavior of this method is to call `ExternalContext.invalidateSession()` on the wrapped `ExternalContext` object.

  Overrides:
    `invalidateSession` in class `ExternalContext`
  See Also:
    `ExternalContext.invalidateSession()`

### setResponseHeader

    public void setResponseHeader(java.lang.String name,
                                  java.lang.String value)

  The default behavior of this method is to call `ExternalContext.setResponseHeader(String,String)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseHeader` in class `ExternalContext`
  Parameters:
    `name` - The name of the response header.
    `value` - The value of the response header.
  See Also:
    `ExternalContext.setResponseHeader(String,String)`

### addResponseHeader

    public void addResponseHeader(java.lang.String name,
                                  java.lang.String value)

  The default behavior of this method is to call `ExternalContext.addResponseHeader(String,String)` on the wrapped `ExternalContext` object.

  Overrides:
    `addResponseHeader` in class `ExternalContext`
  Parameters:
    `name` - The name of the response header.
    `value` - The value of the response header.
  See Also:
    `ExternalContext.addResponseHeader(String,String)`

### setResponseBufferSize

    public void setResponseBufferSize(int size)

  The default behavior of this method is to call `ExternalContext.setResponseBufferSize(int)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseBufferSize` in class `ExternalContext`
  Parameters:
    `size` - the new buffer size
  See Also:
    `ExternalContext.setResponseBufferSize(int)`

### getResponseBufferSize

    public int getResponseBufferSize()

  The default behavior of this method is to call `ExternalContext.getResponseBufferSize()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseBufferSize` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponseBufferSize()`

### isResponseCommitted

    public boolean isResponseCommitted()

  The default behavior of this method is to call `ExternalContext.isResponseCommitted()` on the wrapped `ExternalContext` object.

  Overrides:
    `isResponseCommitted` in class `ExternalContext`
  See Also:
    `ExternalContext.isResponseCommitted()`

### responseReset

    public void responseReset()

  The default behavior of this method is to call `ExternalContext.responseReset()` on the wrapped `ExternalContext` object.

  Overrides:
    `responseReset` in class `ExternalContext`
  See Also:
    `ExternalContext.responseReset()`

### responseSendError

    public void responseSendError(int statusCode,
                                  java.lang.String message)
                           throws java.io.IOException

  The default behavior of this method is to call `ExternalContext.responseSendError(int,String)` on the wrapped `ExternalContext` object.

  Overrides:
    `responseSendError` in class `ExternalContext`
  Parameters:
    `statusCode` - an HTTP status code
    `message` - an option message to detail the cause of the code
  Throws:
    `java.io.IOException`
  See Also:
    `ExternalContext.responseSendError(int,String)`

### setResponseStatus

    public void setResponseStatus(int statusCode)

  The default behavior of this method is to call `ExternalContext.setResponseStatus(int)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseStatus` in class `ExternalContext`
  Parameters:
    `statusCode` - an HTTP status code
  See Also:
    `ExternalContext.setResponseStatus(int)`

### responseFlushBuffer

    public void responseFlushBuffer()
                             throws java.io.IOException

  The default behavior of this method is to call `ExternalContext.responseFlushBuffer()` on the wrapped `ExternalContext` object.

  Overrides:
    `responseFlushBuffer` in class `ExternalContext`
  Throws:
    `java.io.IOException`
  See Also:
    `ExternalContext.responseFlushBuffer()`

### setResponseContentLength

    public void setResponseContentLength(int length)

  The default behavior of this method is to call `ExternalContext.setResponseContentLength(int)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseContentLength` in class `ExternalContext`
  See Also:
    `ExternalContext.setResponseContentLength(int)`

### encodeBookmarkableURL

    public java.lang.String encodeBookmarkableURL(java.lang.String baseUrl,
                                                  java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters)

  The default behavior of this method is to call `ExternalContext.encodeBookmarkableURL(String, java.util.Map)` on the wrapped `ExternalContext` object.

  Overrides:
    `encodeBookmarkableURL` in class `ExternalContext`
  Parameters:
    `baseUrl` - The base URL onto which the query string generated by this method will be appended. The URL may contain query parameters.
    `parameters` - The collection of Parameter objects, representing name=value pairs that are used to produce a query string
  See Also:
    `ExternalContext.encodeBookmarkableURL(String, java.util.Map)`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String baseUrl,
                                              java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters)

  The default behavior of this method is to call `ExternalContext.encodeRedirectURL(String, java.util.Map)` on the wrapped `ExternalContext` object.

  Overrides:
    `encodeRedirectURL` in class `ExternalContext`
  Parameters:
    `baseUrl` - The base URL onto which the query string generated by this method will be appended. The URL may contain query parameters.
    `parameters` - The collection of Parameter objects, representing name=value pairs that are used to produce a query string
  See Also:
    `ExternalContext.encodeRedirectURL(String, java.util.Map)`

### getFlash

    public Flash getFlash()

  The default behavior of this method is to call `ExternalContext.getFlash()` on the wrapped `ExternalContext` object.

  Overrides:
    `getFlash` in class `ExternalContext`
  See Also:
    `ExternalContext.getFlash()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.